import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { TranslateLibraryService } from '../../../../services/translation-registry.service';
import { QMSCKEditorBaseComponent } from '../../../qms-ckeditor-base.component';
import { QMSCKEditorDialogData } from '../../models/qms-ckeditor-dialog.model';
export declare class QMSCKEditorConfirmComponent extends QMSCKEditorBaseComponent implements OnInit {
    private translate;
    dialogRef: MatDialogRef<QMSCKEditorConfirmComponent>;
    data: QMSCKEditorDialogData;
    LANG: any;
    isNotShowAgain: boolean;
    constructor(translate: TranslateLibraryService, dialogRef: MatDialogRef<QMSCKEditorConfirmComponent>, data: QMSCKEditorDialogData);
    ngOnInit(): void;
    onCancelClick(): void;
    onConfirmClick(): void;
    onAdvanceConfirmClick(): void;
}
